WordPress.org

Plugin Directory

Changeset 632273


Ignore:
Timestamp:
11/30/12 17:04:12 (17 months ago)
Author:
pento
Message:

Don't automatically enable Core updates on installs that seem to be coming from a repo. Props @markel

Location:
automatic-updater/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • automatic-updater/trunk/automatic-updater.php

    r632039 r632273  
    133133    function plugin_upgrade() { 
    134134        if ( empty( $this->options ) ) { 
     135            // Don't automatically enable core updates in installs coming from a repo 
     136            $core_updates_enabled = true; 
     137            if ( is_dir( ABSPATH . '/.svn' ) || is_dir( ABSPATH . '/.git' ) ) 
     138                $core_updates_enabled = false; 
     139 
    135140            $this->options = array( 
    136141                        'update' => array( 
    137                                     'core' => true, 
     142                                    'core' => $core_updates_enabled, 
    138143                                    'plugins' => false, 
    139144                                    'themes' => false, 
  • automatic-updater/trunk/readme.txt

    r630341 r632273  
    4747* ADDED: Retry limits, so broken updates won't keep trying to install 
    4848* FIXED: Some HTML tags in debug messages were being incorrectly stripped 
     49* FIXED: Don't automatically enable Core updates on installs that seem to be coming from a repo 
    4950 
    5051= 0.7.2 = 
Note: See TracChangeset for help on using the changeset viewer.